# TODO:
# - Make sure display and remote subpackages can run without the client

%include    /usr/lib/rpm/macros.perl

Summary:	GNU Lyric Display System, client interface
Name:		lyricue
Version:	3.6.5
Release:	2
License:	GPL
Group:		X11/Applications/Graphics
Source0:	http://www.lyricue.org/archive/%{name}_%{version}.tar.gz
# Source0-md5:	e4646b89cee70f05c11f6362a27f369a
Patch0:		%{name}-gstreamer.patch
URL:		http://www.lyricue.org
BuildRequires:	gettext-tools
BuildRequires:	gtk+2-devel
BuildRequires:	intltool
BuildRequires:	mysql-devel
BuildRequires:	pkgconfig
BuildRequires:	rpm-perlprov
BuildRequires:	sed >= 4.0
Requires:	%{name}-display = %{version}-%{release}
Requires:	%{name}-remote = %{version}-%{release}
Requires:	mysql-client
Requires:	perl-Gtk2 >= 1.220
Requires:	perl-Net-Bonjour
Requires:	perl-Net-Rendezvous-Publish
Suggests:	ImageMagick
Suggests:	diatheke
Suggests:	mysql
Suggests:	perl-DBD-mysql
Suggests:	perl-Gtk2-Spell
Suggests:	perl-Gtk2-TrayIcon
Suggests:	totem
Suggests:	unoconv
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Lyricue is used to edit and display song lyrics and passages of text
along with images and videos on a second screen/projector. It was
designed for use at live events such as church services, concerts and
seminars.

%package display
Summary:	GNU Lyric Display System, display interface
Group:		X11/Applications/Graphics
Requires:	perl-Gtk2 >= 1.220
Suggests:	perl-DBD-mysql
Suggests:	perl-Locale-gettext
Suggests:	totem
Obsoletes:	lyricue-server

%description display
Component to handle action display and projection of slides.

%package remote
Summary:	GNU Lyric Display System, remote control cli
Group:		Libraries

%description remote
Remote control CLI to control the projection display from any shell.

%prep
%setup -q
%patch0 -p0

# Fix perl shebang
%{__sed} -i -e '1s,^#!.*perl,#!%{__perl},' src/%{name} src/%{name}_remote

%build
%configure \
	--prefix=%{_prefix}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name} --with-gnome

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc %{_docdir}/%{name}
%dir %{_sysconfdir}/%{name}
%config(noreplace) %{_sysconfdir}/%{name}/*.conf
%attr(755,root,root) %{_bindir}/%{name}
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/*
%{_desktopdir}/%{name}.desktop

%files display
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/%{name}_display
%{_desktopdir}/%{name}_display.desktop

%files remote
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/%{name}_remote
%changelog
* Tue Mar 06 2018 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/lyricue.git;a=log;h=master

* Tue Mar 06 2018 Jan Rękorajski <baggins@pld-linux.org> 225d38c
- rebuild with mysql 5.7
- release 2 (by relup.sh)

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> db8c198
- updated gettext BR

* Thu Aug 07 2014 Łukasz Kieś <kiesiu@pld-linux.org> 01e483f
- updated to 3.6.5

* Thu Sep 05 2013 Caleb Maclennan <caleb@pld-linux.org> d201eb2
- Updated dependencies for features added and removed during recent releases (note these perl items not caught by perl deps system but are not suggets, app crashes without them)

* Sat Aug 31 2013 Caleb Maclennan <caleb@pld-linux.org> fab0bce
- Up to 3.6.2

* Wed Aug 28 2013 Caleb Maclennan <caleb@pld-linux.org> e888e7b
- Up to 3.6.0
- Remove patch applied upstream

* Fri Mar 22 2013 Caleb Maclennan <caleb@pld-linux.org> 2bb6e41
- Up to 3.5.5

* Thu Mar 21 2013 Caleb Maclennan <caleb@pld-linux.org> 626a789
- Resolve conflict

* Thu Mar 21 2013 Caleb Maclennan <caleb@pld-linux.org> 6148683
- Handle gnome help files.

* Thu Mar 21 2013 Caleb Maclennan <caleb@pld-linux.org> 6f5cc40
- Up to 3.5.3

* Tue Mar 19 2013 Elan Ruusamäe <glen@delfi.ee> 37e0e0a
- adapter it back

* Tue Mar 19 2013 Caleb Maclennan <caleb@pld-linux.org> 7632221
- Added patches for compiling against newer Clutter and Gstreamer libraries (adapted from my ArchLinux branch)

* Tue Jul 24 2012 Caleb Maclennan <caleb@pld-linux.org> 0c32b9d
- Up to 3.4.10

* Mon Apr 16 2012 Caleb Maclennan <caleb@alerque.com> 843fbe6
- Up to 3.4.6

* Mon Apr 02 2012 Caleb Maclennan <caleb@alerque.com> b26974b
- Up to 3.4.5

* Tue Mar 27 2012 Caleb Maclennan <caleb@alerque.com> 01a1cec
- Up to 3.4.2

* Tue Mar 27 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> ee2d140
- release 2

* Thu Mar 08 2012 Caleb Maclennan <caleb@alerque.com> e4c55ef
- Up to 3.4.0

* Tue Dec 13 2011 Caleb Maclennan <caleb@alerque.com> 806f9b8
- Up to 3.3.3
- Removed patch integrated upstream

* Wed Jul 27 2011 Caleb Maclennan <caleb@alerque.com> a50db26
- Up to 3.0.41

